<?php
/**********
Page de Liens : links.php
Le script "pages accordéon" est issu de https://tympanus.net/codrops/2012/02/21/accordion-with-css3/ par Mary-Lou
Adaptations et Intégration dans adHoc Jean-Denis https://adhoc.71site.fr janvier 2024
Il est nécessaire d'avoir créé, dans l'admin, chacunes des fiches de liens,...
...dans une ou plusieurs catégories dédiées, dans une ou plusieurs "boîtes menu" privées ou publiques
***********/

// Construction de la page
require_once("include/config.inc");

// Variables à régler
$numcategorie = array('7', '8', '9'); // liste des numéros (Id) des catégories dans l'ordre où vous souhaitez qu'elles s'affichent

$affdate = 'non'; // affichage date : 'oui' ou 'non'
$SouC = 'S'; // si affichage date // 'S' : simple (sans heure) // 'C' : complète (date et heure)
$coum = 4; // date création : 3 ou date dernière modification : 4
$cible = '_blank'; // cible du lien vers la fiche : '_blank' ou '_top' ou ...

$connex = 0; // 0 : une partie au moins est accessible au visiteur // ou 1 : tout le service n'est accessible qu'après connexion
			 //(ATTENTION : Dans ce dernier cas -privé- n'oubliez pas de faire de même pour chaque boîte menu qui contient vos catégories)

$typeaccordeon = 'checkbox' ; // 'radio' ou 'checkbox' suivant le type d'accordéon souhaité
$categorieouverte = '7'; // Eventuellement un numéro de vos catégories à ouvrir par défaut ( par exemple '7' ) sinon ''
$tousouverts = ''; // tous les soufflets de l'accordéon sont fermés par défaut ou 'checked="checked"' pour les ouvrir tous
				//MAIS pour 'checkbox' uniquement car si vous choisissez 'radio' seul le dernier soufflet sera ouvert par défaut

	// dont définition des variables de langue
	if (USER_LANG == 'fr') { // fr
	$meta['title'] = 'Service de liens'; // titre
	$meta['description'] = 'Affichage de liens utiles'; // description
	$topmess = 'Liens' ; // nom de la page
	$prive = 'Désolé, cette page est en accès privé.'; // avertissement si privé
	}
	elseif (USER_LANG == 'it') { // it
	$meta['title'] = 'Servizio di link'; // titre
	$meta['description'] = 'Visualizzazione di link utili'; // description
	$topmess = 'Link' ; // nom de la page
	$prive = 'Spiacenti, questa pagina è riservata.'; // avertissement si privé
	}
	elseif (USER_LANG == 'en') { // en
	$meta['title'] = 'Links service'; // titre
	$meta['description'] = 'Displaying useful links'; // description
	$topmess = 'Links' ; // nom de la page
	$prive = 'Sorry, this page is private.'; // avertissement si privé
	}

// identification langue : ne pas modifier
$idlg = USER_LANG;

// Vérification du statut de connexion !!Attention ne fonctionnera qu'avec le CMS adHoc!!
if (empty($_COOKIE['adHocUser'])) { // pas de connexion donc ne voit que ce qui est public
	$statconnex = 0 ;
	}
else { // connexion donc voit aussi l'affichage privé
	$statconnex = 1 ;
	}

// Fonctions
function statutboite($num) // fonction statutboite pour vérifier les droits d'affichage de cette boite
{
$nblignes = count(file('modules/pages/mod_lat_pages_'.$num.'.inc')); // nombre de lignes du fichier
$contenuboite = fopen( 'modules/pages/mod_lat_pages_'.$num.'.inc', 'r' ); // ouverture fichier et contenu
	for ($i=0; $i < $nblignes ; $i++) {
		$lignenouvelle = fgets($contenuboite);
		if (strncmp($lignenouvelle, '$pm_rights = ', 13) === 0) // vérification ligne droit
		{$droitboite = substr($lignenouvelle, 13, 1);} // récupération valeur droit
	}
fclose($contenuboite); // fermeture fichier
return $droitboite;
}

function affichagedateS($date) { // date simple
$pourdate = substr($date, 6, 2)."/".substr($date, 4, 2)."/".substr($date, 0, 4);
return $pourdate;
}

function affichagedateC($date) { // date complète (avec heure)
$pourdate = substr($date, 6, 2)."/".substr($date, 4, 2)."/".substr($date, 0, 4)." ".substr($date, 8, 2)."h".substr($date, 10, 2);
return $pourdate;
}

function nettoyagenom($nom) { // nettoyage éventuel du nom de catégorie ou de page
if ($nom[0] == '"' && substr($nom, -1) == '"') //test présence de guillemets au début ET à la fin
{$nom = substr($nom, 1, -1);} // ... les supprime le cas échéant
return $nom;
}

// construction de la page
include_once(PATH_INC."hpage.inc");
echo '
<!-- Début affichage "Service de Liens" -->
';
htable($topmess, "100%");

// Affichage
if ($statconnex >= $connex) // vérification du statut avant affichage
{ // affichage en partie publique ou visiteur connecté

// Style
echo '
<style type="text/css">
.ac-container { /*attributs du conteneur*/
	width: 99%; /*largeur du conteneur*/
	margin: 10px auto 30px; /*marges extérieures H DG B*/
	text-align: left; /*alignement texte gauche*/
}
.ac-container label,
.ac-container input[type="checkbox"] + label { /*attributs des titres*/
	font-family: Open sans, sans-serif; /*police*/
	font-size: 19px; /*taille police*/
	margin:0 auto 5px; /*marges extérieures H DG B à adapter*/
	line-height: 28px; /*hauteur ligne*/
	padding: 5px 20px; /*marges intérieures*/
	position: relative;
	display: block;
	height: auto; /*hauteur*/
	min-height: 45px;
	cursor: pointer;
	color: #ffffff; /*couleur texte*/
	background: linear-gradient(to right, rgba( 23, 62, 95, 1), rgba( 56, 102, 140, 1)); /*couleur fond #173E5F >> #38668C*/
	box-shadow:
		0px 0px 0px 1px rgba(155,155,155,0.3),
		0px 2px 2px rgba(0,0,0,0.1); /*ombre portée boite titre*/
}
.ac-container label:hover,
.ac-container input[type="checkbox"] + label:hover
{
	background: rgba( 56, 102, 140, 1); /*couleur fond au survol*/
}
.ac-container input:checked + label,
.ac-container input:checked + label:hover { /*attributs des titres sélectionnés et au survol*/
	background: rgba( 23, 62, 95, 1); /*couleur fond*/
	color: #D6AF84; /*couleur texte*/
	font-weight:bold; /*gras du texte*/
	box-shadow:
		0px 0px 0px 1px rgba(155,155,155,0.3),
		0px 2px 2px rgba(0,0,0,0.3); /*ombre portée boite titre*/
}
.ac-container label:before { /*pseudo-élément pour titre*/
	/*font-family:"fontawesome"; /*police de caractère*/
	/*content: "\f101"; /*caractère*/
	content: "►"; /*caractère*/
	padding-right:10px; /*marge intérieure droite*/
}
.ac-container input[type="checkbox"]:checked + label:before { /*pseudo-élément pour titre checkbox sélectionné*/
	/*font-family:"fontawesome"; /*police de caractère*/
	/*content: "\f103"; /*caractère*/
	content: "▼"; /*caractère*/
	padding-right:10px; /*marge intérieure droite*/
}
.ac-container input[type="radio"]:checked + label:before { /*pseudo-élément pour titre radio sélectionné*/
	/*font-family:"fontawesome"; /*police de caractère*/
	/*content: "\f107"; /*caractère*/
	content: ">>"; /*caractères*/
	padding-right:15px; /*marge intérieure droite*/
}
.ac-container input {
	display: none;
}
.ac-container article { /*attributs des articles masqués*/
	background: rgba(240,240,240,1); /*couleur fond*/
	margin-top: -5px; /*marge extérieure haute*/
	height: 0px; /*hauteur = 0 -> invisible*/
	transform:scale3d(1,0,1); /*échelle = 0 -> invisible*/
	transform-origin:0 0; /*origine transformation : ici haut*/
	overflow: hidden;
	position: relative;
}
.ac-container article p { /*attributs des paragraphes*/
	font-style: normal; /*à ajuster ou supprimer*/
	color: #000; /*couleur texte*/
	font-size: 14px; /*taille police*/
	line-height: 23px; /*hauteur ligne*/
	margin:0; /*marges extérieures*/
	padding: 0px 20px 5px 20px; /*marges intérieures*/
}
.ac-container input:checked ~ article { /*attributs des articles à la sélection*/
	transition:all 0.5s ease; /*transition à la sélection -temps, nature-*/
}
.ac-container input:checked ~ article.ac { /*attributs des articles à la sélection*/
	height: auto; /*hauteur*/
	transform:scale3d(1,1,1); /*échelle = 1 -> visible*/
}
.ac-container article h4 { /*titre h4*/
	margin-left:15px; /*marge extérieure gauche*/
	margin-top:-20px; /*marge extérieure haute*/
	font-size: 17px; /*taille police*/
	padding-bottom: 2px; /*marge intérieure basse*/
	color: #3366FF; /*couleur texte*/
}
.ac-container article h4 a { /*lien*/
	color:#D54500; /*couleur texte*/
}
.ac-container article h4 a:hover { /*lien au survol*/
	color:#6A2300; /*couleur texte*/
}
.ac-container article h4 a::after { /*pseudo-élément icone "caractère" du lien*/ 
	/*font-family:"fontawesome"; /*police de caractère*/
	/*content:"\f0c1"; /*caractère ou "\f15c" ou...*/
	content:"⌂"; /*caractère*/
	font-size:40px; /*taille police*/
	padding-right:5px; /*marge intérieure droite*/
}
.sep { /*ligne de séparation*/
	border-top: 1px dashed rgba(0,0,0, 0.5); /*bordure haute*/
	border-bottom: 1px dashed rgba(255, 255, 255, 0.3); /*bordure basse*/
	margin: 4px 1% !important; /*marges extérieures*/
	clear:both;
}
.comment { /*commentaire*/
	float:left; /*à gauche*/
	width:94%; /*largeur*/
	background:rgba(255,255,255,1);
	margin:5px 3% !important;
	border-radius:5px;
	border:1px dotted rgba(24,34,84, 0.6);
}
p.comment {color:#111 !important;padding-bottom:10px !important;}

.comment a {color:#D54500; /*couleur lien*/}
.comment a:hover {color:#6A2300; /*couleur lien au survol*/}
.comment::before { /*pseudo-élément icone "caractère" du commentaire*/
	/*font-family:"fontawesome"; /*police de caractère*/
	/*content:"\f1c6"; /*caractère ou "\f06c" ou ...*/
	content:"֍"; /*caractère*/
	color:#3366FF; /*couleur texte*/
	margin-left:5px; /*marge extérieure gauche*/
}
@media screen and (max-width: 520px), screen and (max-device-width: 520px) { /* inférieur à 520px de largeur (MOBILE) */
.ac-container article h4 { /*titre h4*/
	font-size: 18px; /*taille police*/
}
.ac-container article h4 a::after { /*pseudo-élément icone "caractère" du téléchargement*/ 
	font-size:36px; /*taille police*/
}
}
</style>
';

// Elaboration contenu de la liste de toutes les catégories
$comptenbcategories = count(file('data/pages/list_'.$idlg.'.dbt')); // nombre de catégories dans la liste
$contenucategories = fopen( 'data/pages/list_'.$idlg.'.dbt', 'r' ); // ouverture fichier et contenu de cette liste

for ($i=0; $i < $comptenbcategories ; $i++) {
	$lignenouvelle = fgets($contenucategories);
	$elem = explode(";", $lignenouvelle);
		for ($j=0; $j < 6;$j++) {
		$chaquecategorie [$i][$j] = $elem[$j]; // création variables [catégorie][élément]
		}
}
fclose($contenucategories); // fermeture fichier

echo '
<section class="ac-container"><!-- début ac-container -->'; // début container accordéon

for ($k=0; $k < count($numcategorie) ; $k++) { // boucle pour le nombre max de catégories à afficher
	for ($i=0; $i < $comptenbcategories ; $i++) { // boucle pour chaque catégorie
		if ( $numcategorie [$k] == $chaquecategorie [$i][0]) { // vérification si la catégorie fait partie de la liste à afficher
			if ($statconnex >= statutboite($chaquecategorie [$i][1])) { // vérification du statut de la boite contenant la catégorie
				if ($categorieouverte == $numcategorie[$k] && $tousouverts == '') { // tests pour soufflet ouvert par défaut
					$ouvert = 'checked="checked"';}
					else {$ouvert = '';}
				if ($tousouverts == 'checked="checked"') {$ouvert = 'checked="checked"';} // tests pour soufflet ouvert par défaut

				// zone affichage nom catégorie
				echo '
				<div><!-- bloc ac-'.$numcategorie[$k].' -->
				<input '.$ouvert.' id="ac-'.$numcategorie[$k].'" name="accordion" type="'.$typeaccordeon.'" />
				<label for="ac-'.$numcategorie[$k].'">'.nettoyagenom($chaquecategorie [$i][3]).'</label>
				<article class="ac"><!-- début contenu soufflet accordéon -->';

				// Elaboration contenu de la catégorie en cours
				$comptenbrfiches = count(file('data/pages/pgidx_'.$numcategorie[$k].$idlg.'.dbt')); // nombre de fiches dans la catégorie
				$contenucatencours = fopen( 'data/pages/pgidx_'.$numcategorie[$k].$idlg.'.dbt', 'r' ); // ouverture fichier et contenu de cette catégorie

				for ($x=0; $x < $comptenbrfiches ; $x++) {
					$lignenouvelle = fgets($contenucatencours);
					$elem = explode(";", $lignenouvelle);
						for ($y=0; $y < 6;$y++) {
						$chaquefiche [$x][$y] = $elem[$y]; // création variables [fiche][élément] pour tous les items
						}
					}
				fclose($contenucatencours); // fermeture fichier

				for ($z=0; $z < $comptenbrfiches ; $z++) {
					if ($chaquefiche [$z][2] == 'i') {continue;} // test de la page concernée (saute l'hypothèse si page inactive)
					include ('data/pages/page_'.$chaquefiche [$z][0].$idlg.'.inc'); // inclusion fichier page concernée
					$name = nettoyagenom($chaquefiche [$z][1]) ; // nom de la fiche -page-
					$comment = $ftxt; // commentaire pour ce lien : récupération variable contenu fiche -page-
					$verslien = $fmdes; // lien absolu qui aura été placé en Meta Description de la fiche -page-

				// zone affichage contenu fiche - page concernée : lien, nom, éventuellement date, commentaire 
					if ($affdate == 'oui') { // test date
						if ($SouC == 'S')
						{$ladate = affichagedateS($chaquefiche [$z][$coum]);} // date simple
						else
						{$ladate = affichagedateC($chaquefiche [$z][$coum]);} // date complète
					$presencedate = '<span style="float:right;padding-right:40px;font-size:70%;"><i>'.$ladate.'</i></span>';}
					else { $presencedate = '';} // sans date

					echo '
					<h4><a href="'.$verslien.'" target="'.$cible.'"></a>'.$name.$presencedate.'</h4>
					<div class="comment">'.$comment.'</div>
					<div class="sep"></div><!-- ligne séparation -->';
				}
				
				echo '
				</article><!-- fin contenu soufflet accordéon -->
				</div><!-- fin bloc ac-'.$numcategorie[$k].' -->';
			} // fin test statut boite
		} // fin test catégorie
	} // fin boucle $i
} // fin boucle $k

echo '
</section><!-- fin ac-container -->'; // fin container accordéon

} else { // privé
	echo $prive;
	echo '<br>';
	echo '<hr><hr>';
	}

// Référencement SVP ne pas supprimer
echo '
<!-- "Service de Liens" - Jean-Denis https://adhoc.71site.fr janvier 2024 - Licence: GNU-GPL V3 -->
';

// fin contenu
btable();
include_once(PATH_INC."bpage.inc");
die();
?>

